%% 入射界 Ei : 3N x Na x Nf
function Ei = einc(Parm, N, Na, Nf, Robj)
%%
Ei = zeros(3 * N, Na, Nf);
for ifreq = 1 : Nf
	for ir = 1 : Na
		rant = Parm.rant(ir, :);
		x = Robj(:, 1) - rant(1);
		y = Robj(:, 2) - rant(2);
		z = Robj(:, 3) - rant(3);
		r = sqrt(x.^2 + y.^2 + z.^2);
		kr = Parm.k(ifreq) * r; 
		f1 = 2 * (1 ./ kr.^3 + 1i ./ kr.^2          ) .* exp(-1i * kr);
		f2 =     (1 ./ kr.^3 + 1i ./ kr.^2 - 1 ./ kr) .* exp(-1i * kr);
		if     (Parm.iant(ir) == 0)
			ex = (f1 .* x.^2 ./ r.^2) - (f2 .* (y.^2 + z.^2) ./ r.^2);
			ey = (f1 + f2) .* (x .* y) ./ r.^2;
			ez = (f1 + f2) .* (x .* z) ./ r.^2;
		elseif (Parm.iant(ir) == 1)
			ey = (f1 .* y.^2 ./ r.^2) - (f2 .* (z.^2 + x.^2) ./ r.^2);
			ez = (f1 + f2) .* (y .* z) ./ r.^2;
			ex = (f1 + f2) .* (y .* x) ./ r.^2;
		elseif (Parm.iant(ir) == 2)
			ez = (f1 .* z.^2 ./ r.^2) - (f2 .* (x.^2 + y.^2) ./ r.^2);
			ex = (f1 + f2) .* (z .* x) ./ r.^2;
			ey = (f1 + f2) .* (z .* y) ./ r.^2;
		end
		Ei(:, ir, ifreq) = [ex; ey; ez];
		%
	end
end
end
