%% plot antenna location
function figure1(Parm, Na)
%%
figure(1);

d = 5e-3;
for n = 1 : Na
	x = Parm.rant(n, 1);
	y = Parm.rant(n, 2);
	z = Parm.rant(n, 3);
	dir = Parm.iant(n);
	dx = 0;
	dy = 0;
	dz = 0;
	if     (dir == 0)
		dx = d;
		c = 'r';
	elseif (dir == 1)
		dy = d;
		c = 'g';
	elseif (dir == 2)
		dz = d;
		c = 'b';
	end
	%fprintf('%d %e %e %e %e %e %e\n', n, x1, x2, y1, y2, z1, z2);
	line([x - dx, x + dx], [y - dy, y + dy], [z - dz, z + dz], 'Color', c, 'LineWidth', 2);
end
xlabel('X[mm]');
ylabel('Y[mm]');
zlabel('Z[mm]');
axis equal;
grid;
view(3);
end
