%% plot E contour
function figure2(Parm, N, Iobj, e)
%%
figure(2);

ir_range = 1 : 1;
%plotX(ir_range, 10 : 10, Parm, N, Iobj, e);
%plotY(ir_range, 5 : 5, Parm, N, Iobj, e);
plotZ(ir_range, 3 : 2 : 5, Parm, N, Iobj, e);
end

%% X-plane
function plotX(ir_range, i_range, Parm, N, Iobj, e)
%%
for ir = ir_range
	for i0 = i_range
		if (i0 > Parm.nxv)
			continue;
		end
		x = [];
		y = [];
		c = [];
		num = 0;
		for n = 1 : N
			i = Iobj(n, 1);
			j = Iobj(n, 2);
			k = Iobj(n, 3);
			if (i == i0)
				num = num + 1;
				x(:, num) = [j - 1; j; j; j - 1];
				y(:, num) = [k - 1; k - 1; k; k];
				eabs = sqrt(abs(e(0 * N + n, ir))^2 ...
				          + abs(e(1 * N + n, ir))^2 ...
				          + abs(e(2 * N + n, ir))^2);
				%c(num) = eabs;
				c(num) = 20 * log10(eabs);
			end
		end
		
		if (num > 0)
			nexttile;
			patch(x, y, c, 'EdgeColor', 'none');	
			xlabel(sprintf('Y[mm]/%d', Parm.H));
			ylabel(sprintf('Z[mm]/%d', Parm.H));
			title(sprintf('Tx#=%d, X=%gmm', ir, (i0 - 0.5) * Parm.H));
			colorbar;
			axis equal;
			axis([0 Parm.nyv 0 Parm.nzv]);
			%clim([0 0.3]);
			view(2);
		end
	end
end
end

%% Y-plane
function plotY(ir_range, j_range, Parm, N, Iobj, e)
%%
for ir = ir_range
	for j0 = j_range
		if (j0 > Parm.nyv)
			continue;
		end
		x = [];
		y = [];
		c = [];
		num = 0;
		for n = 1 : N
			i = Iobj(n, 1);
			j = Iobj(n, 2);
			k = Iobj(n, 3);
			if (j == j0)
				num = num + 1;
				x(:, num) = [i - 1; i; i; i - 1];
				y(:, num) = [k - 1; k - 1; k; k];
				eabs = sqrt(abs(e(0 * N + n, ir))^2 ...
				          + abs(e(1 * N + n, ir))^2 ...
				          + abs(e(2 * N + n, ir))^2);
				%c(num) = eabs;
				c(num) = 20 * log10(eabs);
			end
		end
		
		if (num > 0)
			nexttile;
			patch(x, y, c, 'EdgeColor', 'none');	
			xlabel(sprintf('X[mm]/%d', Parm.H));
			ylabel(sprintf('Z[mm]/%d', Parm.H));
			title(sprintf('Tx#=%d, Y=%gmm', ir, (j0 - 0.5) * Parm.H));
			colorbar;
			axis equal;
			axis([0 Parm.nxv 0 Parm.nzv]);
			%clim([0 0.3]);
			view(2);
		end
	end
end
end

%% Z plane
function plotZ(ir_range, k_range, Parm, N, Iobj, e)
%%
for ir = ir_range
	for k0 = k_range
		if (k0 > Parm.nzv)
			continue;
		end
		x = [];
		y = [];
		c = [];
		num = 0;
		for n = 1 : N
			i = Iobj(n, 1);
			j = Iobj(n, 2);
			k = Iobj(n, 3);
			if (k == k0)
				num = num + 1;
				x(:, num) = [i - 1; i; i; i - 1];
				y(:, num) = [j - 1; j - 1; j; j];
				eabs = sqrt(abs(e(0 * N + n, ir))^2 ...
				          + abs(e(1 * N + n, ir))^2 ...
				          + abs(e(2 * N + n, ir))^2);
				%c(num) = eabs;
				c(num) = 20 * log10(eabs);
			end
		end
		
		if (num > 0)
			nexttile;
			patch(x, y, c, 'EdgeColor', 'none');		
			xlabel(sprintf('X[mm]/%d', Parm.H));
			ylabel(sprintf('Y[mm]/%d', Parm.H));
			title(sprintf('Tx#=%d, Z=%gmm', ir, (k0 - 0.5) * Parm.H));
			colorbar;
			axis equal;
			axis([0 Parm.nxv 0 Parm.nyv]);
			%clim([-40 -10]);
			view(2);
		end
	end
end
end
