%% plot epsr/sigma distribution
function figure4(Parm, N, T10, T20, T1, T2)
%%
figure(4);
x = 1 : N;

% epsr
subplot(2, 1, 1);
y0 = T20 + Parm.epsr(1);
y1 = T2  + Parm.epsr(1);
plot(x, y0, 'k.-', x, y1, 'r.');
title('比誘電率');
xlabel('セル番号');
xlim([1 N]);
ylim(Parm.epsr_scale);
legend('数値ファントム', '再構成値');

% sigm
subplot(2, 1, 2);
y0 = T10 + Parm.sigm(1);
y1 = T1  + Parm.sigm(1);
plot(x, y0, 'k.-', x, y1, 'r.');
title('導電率 [S/m]');
xlabel('セル番号');
xlim([1 N]);
ylim(Parm.sigm_scale);
legend('数値ファントム', '再構成値');
end
